Bug 708442 - Can't install both glib2-devel.x86_64 and glib2-devel.i686
Can't install both glib2-devel.x86_64 and glib2-devel.i686
Status: CLOSED DUPLICATE of bug 718404
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
17
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-27 12:17 EDT by H.J. Lu
Modified: 2012-09-27 15:32 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-27 15:32:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2011-05-27 12:17:03 EDT
When upgrading from Fedora 13 to 15, I got

file /usr/share/glib-2.0/gdb/glib.pyc conflicts between attempted installs of glib2-devel-2.28.6-2.fc15.x86_64 and glib2-devel-2.28.6-2.fc15.i686
  file /usr/share/glib-2.0/gdb/glib.pyo conflicts between attempted installs of glib2-devel-2.28.6-2.fc15.x86_64 and glib2-devel-2.28.6-2.fc15.i686
  file /usr/share/glib-2.0/gdb/gobject.pyc conflicts between attempted installs of glib2-devel-2.28.6-2.fc15.x86_64 and glib2-devel-2.28.6-2.fc15.i686
  file /usr/share/glib-2.0/gdb/gobject.pyo conflicts between attempted installs of glib2-devel-2.28.6-2.fc15.x86_64 and glib2-devel-2.28.6-2.fc15.i686
  file /usr/share/systemtap/tapset/glib.stp conflicts between attempted installs of glib2-devel-2.28.6-2.fc15.x86_64 and glib2-devel-2.28.6-2.fc15.i686
  file /usr/share/systemtap/tapset/gobject.stp conflicts between attempted installs of glib2-devel-2.28.6-2.fc15.x86_64 and glib2-devel-2.28.6-2.fc15.i686
Comment 1 Josh Stone 2011-06-12 14:30:00 EDT
(In reply to comment #0)
>   file /usr/share/systemtap/tapset/glib.stp conflicts between attempted
> installs of glib2-devel-2.28.6-2.fc15.x86_64 and glib2-devel-2.28.6-2.fc15.i686
>   file /usr/share/systemtap/tapset/gobject.stp conflicts between attempted
> installs of glib2-devel-2.28.6-2.fc15.x86_64 and glib2-devel-2.28.6-2.fc15.i686

For the .stp files, you might take a lead from python-libs, which names those -32/-64 to allow multilib.  SystemTap is able to handle the same aliases defined in separate files.
Comment 2 Jens Petersen 2011-06-12 21:25:18 EDT
Also happens with latest update to 2.28.8-1.fc15:

file /usr/share/glib-2.0/gdb/glib.pyc conflicts between attempted installs of glib2-devel-2.28.8-1.fc15.x86_64 and glib2-devel-2.28.8-1.fc15.i686
  file /usr/share/glib-2.0/gdb/glib.pyo conflicts between attempted installs of glib2-devel-2.28.8-1.fc15.x86_64 and glib2-devel-2.28.8-1.fc15.i686
  file /usr/share/glib-2.0/gdb/gobject.pyc conflicts between attempted installs of glib2-devel-2.28.8-1.fc15.x86_64 and glib2-devel-2.28.8-1.fc15.i686
  file /usr/share/glib-2.0/gdb/gobject.pyo conflicts between attempted installs of glib2-devel-2.28.8-1.fc15.x86_64 and glib2-devel-2.28.8-1.fc15.i686
  file /usr/share/systemtap/tapset/glib.stp conflicts between attempted installs of glib2-devel-2.28.8-1.fc15.x86_64 and glib2-devel-2.28.8-1.fc15.i686
  file /usr/share/systemtap/tapset/gobject.stp conflicts between attempted installs of glib2-devel-2.28.8-1.fc15.x86_64 and glib2-devel-2.28.8-1.fc15.i686
Comment 3 Randell Jesup 2011-08-22 02:30:51 EDT
Any workaround?  I have projects that require 32-bit.
Comment 4 Henrik Bakken 2011-12-06 05:48:48 EST
I'd like to see some progress here too.  The same happens on F16.
Comment 5 Josh Stone 2011-12-06 16:28:03 EST
I believe it can be solved with a simple rename in glib2.spec %install, like:

  # rename systemtap files to allow multilib
  rename -- .stp -%{__isa_bits}.stp \
    $RPM_BUILD_ROOT%{_datadir}/systemtap/tapset/*.stp


Also, please consider adding to "%files devel":
  %dir %{_datadir}/systemtap/
  %dir %{_datadir}/systemtap/tapset/
since there's no "Requires: systemtap" to make sure that those paths are owned.
(see also bug #744907)
Comment 6 Fedora End Of Life 2012-08-07 15:20:53 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Josh Stone 2012-08-08 21:12:24 EDT
Still occurs in F17 as of glib2-devel-2.32.4-1.fc17.x86_64/i686
Comment 8 Peng Huang 2012-08-20 11:28:04 EDT
Still happens in glib2-devel-2.32.4-1.fc17
Comment 9 Colin Walters 2012-09-27 15:32:11 EDT

*** This bug has been marked as a duplicate of bug 718404 ***

Note You need to log in before you can comment on or make changes to this bug.